aMule Forum

Please login or register.

Login with username, password and session length
Advanced search  

News:

We're back! (IN POG FORM)

Author Topic: aMule 2.1.0 errori in compilazione  (Read 2482 times)

akyra

  • Approved Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 11
aMule 2.1.0 errori in compilazione
« on: January 02, 2006, 12:26:05 PM »

per caso nessuno ha un pacchetto precompilato per slackware 10.2 di amule-2.1.0?
infatti non riesco a compilare la nuova versione da sorgente...mi da una serie di errori in compilazione.

se v'interessa vi posto l'output delle librerie wx:
Code: [Select]
ls -l /usr/bin/wx*
/usr/bin/wx-config -> /usr/lib/wx/config/gtk2-ansi-release-2.6*
-rwxr-xr-x  1 root bin   7696 2005-07-21 18:27 /usr/bin/wxcopy*
-rwxr-xr-x  1 root bin   5052 2004-09-26 09:49 /usr/bin/wxgtk-2.4-config*
-rwxr-xr-x  1 root bin   6132 2005-07-21 18:27 /usr/bin/wxpaste*
lrwxrwxrwx  1 root root     8 2006-01-02 12:25 /usr/bin/wxrc -> wxrc-2.6*
-rwxr-xr-x  1 root bin  58492 2005-06-17 07:15 /usr/bin/wxrc-2.6*

 ls -l /usr/local/bin/wx*
lrwxrwxrwx  1 root root    46 2005-06-25 13:29 /usr/local/bin/wx-config -> /usr/local/lib/wx/config/base-ansi-release-2.6*
lrwxrwxrwx  1 root root     8 2005-06-25 12:57 /usr/local/bin/wxrc -> wxrc-2.6*
-rwxr-xr-x  1 root root 81279 2005-06-25 12:57 /usr/local/bin/wxrc-2.6*

non riesco a capire perchè non compili....
mi da sti errori qua:
Code: [Select]
make[3]: *** [libmuleappgui_a-BarShader.o] Error 1

grazie a tutti quelli che interverranno...
e buon 2006 a tutti!!!
Logged

Truzzone

  • Hero Member
  • *****
  • Karma: 2
  • Offline Offline
  • Posts: 1236
Re: aMule 2.1.0 errori in compilazione
« Reply #1 on: January 02, 2006, 01:40:32 PM »

Puoi postare le righe sopra e sotto all'errore, le ultime 8-10 righe dell'errore  ?(
Che versione hai delle wxGTK? 2.6.2?

Ciao by Truzzone  :)

[Edit]Dai un'occhio qui  ;) [/Edit]
« Last Edit: January 02, 2006, 01:42:16 PM by Truzzone »
Logged
"Tanta gente crede che dal momento che ha l'ADSL a 4Mega, deve scaricare a 4Mega altrimenti qualcosa non va. O è colpa dell'ISP o di aMule. La questione è invece ben diversa"

akyra

  • Approved Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 11
Re: aMule 2.1.0 errori in compilazione
« Reply #2 on: January 03, 2006, 09:54:06 AM »

intanto grazie dell'intervento e buon 2006.

il problema è che quando ho installato amule 2.0.3 ho fatto un po' un casino con le librerie wx...per la fretta non ho installato le prime che mi sono capitate in mano, penso le 2.6.2, ma comunque anche con la versione 2.0.3 di amule non compilava e ho dovuto installarne una già compilata...
oggi proverò ad installare quella precompilata che mi hai postato tu, soltanto che mi sta un po' sulle balle non riuscire a compilarne una da me, e vorrei risolvere sto problema...
comunque grazie ancora, ti farò sapere!
Logged

akyra

  • Approved Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 11
Re: aMule 2.1.0 errori in compilazione
« Reply #3 on: January 03, 2006, 12:52:06 PM »

mmm....il pacchetto precompilato funziona a dovere, grazie mille!
Logged

Truzzone

  • Hero Member
  • *****
  • Karma: 2
  • Offline Offline
  • Posts: 1236
Re: aMule 2.1.0 errori in compilazione
« Reply #4 on: January 03, 2006, 01:28:16 PM »

Perfetto, di niente  :D

Ciao by Truzzone  :)
Logged
"Tanta gente crede che dal momento che ha l'ADSL a 4Mega, deve scaricare a 4Mega altrimenti qualcosa non va. O è colpa dell'ISP o di aMule. La questione è invece ben diversa"